import { deepMerge } from '@copyfrom/deep-merge';
import { defineNuxtModule, createResolver, addImports } from '@nuxt/kit';

const DefaultModuleOptions = {
  baseURL: "/"
};
const module = defineNuxtModule({
  meta: { name: "@copyfrom/http", configKey: "http" },
  defaults: DefaultModuleOptions,
  setup(options, nuxt) {
    options = deepMerge(DefaultModuleOptions, options);
    nuxt.options.runtimeConfig.public.http = options;
    const { resolve } = createResolver(import.meta.url);
    nuxt.options.build.transpile.push(resolve("./runtime"));
    addImports({ name: "useHttp", as: "useHttp", from: resolve("./runtime/composables") });
  }
});

export { DefaultModuleOptions, module as default };
